Cloady Docs
API ReferenceEndpointsWorkspaces

Create a workspace (requires full scope)

POST
/api/workspaces
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/workspaces" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "slug": "string",    "hues": [      0,      0    ]  }'
{  "workspace": {    "slug": "string",    "name": "string",    "hues": [      0,      0    ],    "iconUrl": "string",    "usage": {      "cpu": 0,      "memory": 0,      "storage": 0    },    "monthlyCents": 0,    "services": [      {        "slug": "string",        "env": "production",        "name": "string",        "status": "deploying",        "uptime": "string",        "region": "string",        "subServices": [          {            "name": "string",            "image": "string",            "role": "web",            "port": 0,            "status": "deploying",            "limits": {              "cpu": 0,              "memory": 0            }          }        ],        "endpoints": [          {            "component": "string",            "url": "string",            "protocol": "http",            "port": 0,            "custom": true          }        ],        "limits": {          "cpu": 0,          "memory": 0,          "storage": 0        },        "scale": {          "cpu": 0.5,          "memory": 0.5,          "volumes": {            "property1": 1,            "property2": 1          }        },        "source": {          "type": "git",          "repoUrl": "string",          "branch": "string",          "subdir": "string",          "autoDeploy": true,          "branchTracking": {            "mode": "off",            "pattern": "string"          },          "profiles": [            "string"          ]        }      }    ]  }}